function jsDateToDelphiDate(dat){
  const UnixDateDelta = 25569.0;
  const SecsPerDay = 86400;
  const MSecsPerSec = 1000;
  var UnixSeconds = dat.getTime() / MSecsPerSec; // 1563984000
  var SecsToAdd = UnixSeconds / SecsPerDay; // 18101.666666666668
  return UnixDateDelta + SecsToAdd;
}

function delphiDateToJsDate(dat){
  let ms = (dat - 25569) * 86400 * 1000;
  return new Date(ms);
}

function yyyyMmDmHhNnSs2JsDate(yyyyMmDmHhNnSs){
  return new Date(
    +yyyyMmDmHhNnSs.substr(0, 4),
    +yyyyMmDmHhNnSs.substr(4, 2),
    +yyyyMmDmHhNnSs.substr(6, 2),
    +yyyyMmDmHhNnSs.substr(8, 2),
    +yyyyMmDmHhNnSs.substr(10, 2),
    +yyyyMmDmHhNnSs.substr(12, 2)
  );
}
